argagg

List of all members
argagg::unexpected_argument_error Struct Reference

This exception is thrown when a long option is parsed and is given an argument using the "=" syntax but the option doesn't expect an argument. More...

`#include <argagg.hpp>`

Inheritance diagram for argagg::unexpected_argument_error:

## Additional Inherited Members
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)
Public Member Functions inherited from std::exception
T | what (T... args)
T | ~exception (T... args)
T | operator= (T... args)
T | exception (T... args)

## Detailed Description

This exception is thrown when a long option is parsed and is given an argument using the "=" syntax but the option doesn't expect an argument.

Definition at line 109 of file argagg.hpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src/development/argagg/argagg-0.4.6/include/argagg/argagg.hpp